import * as React from 'react';
type ImageUploadContextProps = {
    isOpen: boolean;
    open: (successCallback: CallbackFns['successCallback'], errorCallback: CallbackFns['errorCallback'], opts?: ImageUploadOptions) => void;
    close: () => void;
};
type ImageUploadContextProviderProps = {
    buttonColor?: string;
    acceptedFileTypes?: string[];
    firebaseStorageObject: any;
    firebaseStorageRefFn: any;
    firebaseStorageUploadBytesFn: any;
    children?: React.ReactNode;
};
export type ImageUploadOptions = {
    pathPrefix?: string;
    imageFileName?: string;
};
export type ImageUploadSuccess = {
    downloadUrl: string;
    imageUUID: string;
    width: number;
    height: number;
    fullPath: string;
    fileType: string;
};
export type ImageUploadCanceled = undefined;
export type CallbackFns = {
    successCallback: (result: ImageUploadSuccess | ImageUploadCanceled) => void;
    errorCallback: (err: Error) => void;
};
export declare const ImageUploadContext: React.Context<ImageUploadContextProps>;
export declare const ImageUploadContextProvider: React.FC<ImageUploadContextProviderProps>;
export {};
